package com.persagy.apm.alarmservice.group.management.service;

import com.persagy.apm.model.dto.GroupManagementDTO;
import com.persagy.apm.model.vo.GroupManagementVo;

import java.io.IOException;
import java.util.List;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 14:17
 */
public interface GroupManagementService{
    /**
     * 分组条件（设备类+查询条件）+项目 获取设备
     * @param managementDTO
     * @author 易涛
     * @date 2021/9/8 16:54
     * @return java.util.List<com.persagy.apm.model.vo.GroupManagementVo>
     */
    List<GroupManagementVo> equipsQuery(GroupManagementDTO managementDTO);
    
    /**
     *
     * @param id
     * @author 易涛
     * @date 2021/9/9 16:04 
     * @return com.persagy.apm.model.vo.GroupManagementVo
     */
    GroupManagementVo equipsGet(String id);
}
